package keris.lang;


public module interface OUT {

    void write(int b);

    void write(byte buf[], int off, int len);

    void print(boolean b);

    void print(char c);

    void print(int i);

    void print(long l);

    void print(float f);

    void print(double d);

    void print(char s[]);

    void print(String s);

    void print(Object obj);

    void println();

    void println(boolean x);

    void println(char x);

    void println(int x);

    void println(long x);

    void println(float x);

    void println(double x);

    void println(char x[]);

    void println(String x);

    void println(Object x);
}
